/*
* PROJECT: Happy New Year
* VERSION: 1.0
* AUTHOR: Mattias Thell
* URL: http://www.mattiasthell.com
*
* */

#pragma once

#include <boost/random.hpp>

namespace hny {

	class Random
	{
	public:
		~Random();

		static Random* GetInstance();
		void Destroy();

	private:
		Random();
		Random(const Random&);
		Random& operator= (const Random&);

		static Random* mInstance;
	};
}